Package ru.bitel.bgbilling.kernel.module.server.event

# Class ModulesChangedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.module.server.event.ModulesChangedEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class ModulesChangedEvent
    extends ru.bitel.bgbilling.kernel.event.common.Event

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ModulesChangedEvent()` |
  `` | `ModulesChangedEvent​(int userId)` |
  `` | `ModulesChangedEvent​(int userId, boolean needReloadXml)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `isNeedReloadActionsXml()` |
  `void` | `setNeedReloadActionsXml​(boolean needReloadActionsXml)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ModulesChangedEvent

    protected ModulesChangedEvent()

  - ### ModulesChangedEvent

    public ModulesChangedEvent​(int userId)

  - ### ModulesChangedEvent

    public ModulesChangedEvent​(int userId, boolean needReloadXml)
    Parameters:
      `needReloadXml` - - если true, то произойдет перечитывание действий.

- ## Method Details

  - ### isNeedReloadActionsXml

    public boolean isNeedReloadActionsXml()

  - ### setNeedReloadActionsXml

    public void setNeedReloadActionsXml​(boolean needReloadActionsXml)